> For the complete documentation index, see [llms.txt](https://docs.chubby.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chubby.network/crates-api/crate-creation/api-access-and-methods.md).

# API Access and Methods

## Accessing The API

Access the APIs class with the following, this will give you access to all API methods.

```java
CloudCratesAPI.getAPI();
```

{% hint style="info" %}
&#x20;This is not the page for a guide for custom spin types.
{% endhint %}

Once you have access to the API, here are some methods you can use.

{% code title="Access Crate Storage" %}

```bash
CloudCratesAPI.getAPI().getCrateStorage();
```

{% endcode %}

{% code title="Get Crate By Name \[Returns Crate Object]" %}

```java
CloudCratesAPI.getAPI().getCrateByName(String name);
```

{% endcode %}

{% code title="Get Profile By UUID \[Returns CratesProfile Object]" %}

```java
CloudCratesAPI.getAPI().getPlayerProfile(UUID uuid);
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chubby.network/crates-api/crate-creation/api-access-and-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
